Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510004 - [Docs] OSP 10+ Back Up and Restore the Undercloud -- include /etc/keystone/credential-keys
Summary: [Docs] OSP 10+ Back Up and Restore the Undercloud -- include /etc/keystone/cr...
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 14:33 UTC by Matt Flusche
Modified: 2019-04-01 05:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Matt Flusche 2017-11-06 14:33:13 UTC
Description of problem:
In the OSP 10+ version of the "Back Up and Restore the Undercloud" doc the following directory should be included in the backup and restore procedures:

/etc/keystone/credential-keys

As of newton/osp 10.  keystone encrypts all credentials stored in the sql backend[0].

Heat uses CFN for signalling the completion of SoftwareDeployments.  This signalling will fail with 403 if these credential keys are not restored.

[0] - https://docs.openstack.org/keystone/pike/admin/identity-credential-encryption.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Matt Flusche 2017-11-07 19:37:01 UTC
Back up and restore verified adding the following steps:

The backup tar example in section 1.3 (Back Up the Undercloud) would look like this:

# tar --xattrs -czf undercloud-backup-`date +%F`.tar.gz /root/undercloud-all-databases.sql /etc/my.cnf.d/server.cnf /var/lib/glance/images /srv/node /home/stack /etc/pki/instack-certs/undercloud.pem /etc/pki/ca-trust/source/anchors/ca.crt.pem /etc/keystone/credential-keys

Then for the restore, in section 2.1 (Restore the Undercloud), before step 10 do the following:

tar -xzC / -f undercloud-backup-$DATE.tar.gz etc/keystone/credential-keys

Comment 2 Dan Macpherson 2018-08-07 05:48:19 UTC
Scoping backlog. This BZ is valid. Check that we include this file and restore accordingly.


Note You need to log in before you can comment on or make changes to this bug.